package com.ruoyi.service.impl;

import com.ruoyi.domain.vo.QuantityStatisticsVO;
import com.ruoyi.domain.vo.StandardCategoryStatisticsVO;
import com.ruoyi.mapper.StatisticsHomeMapper;
import com.ruoyi.service.StatisticsHomeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class StatisticsHomeServiceImpl implements StatisticsHomeService {
    @Autowired
    private StatisticsHomeMapper statisticsHomeMapper;

    @Override
    public QuantityStatisticsVO selectQuantityStatistics(QuantityStatisticsVO quantityStatisticsHome){
        return statisticsHomeMapper.selectQuantityStatistics(quantityStatisticsHome);
    }

    @Override
    public List<StandardCategoryStatisticsVO> selectStandardCategoryStatistics(){
        return statisticsHomeMapper.selectStandardCategoryStatistics();
    }
}
